Subject: RE: [dhcwg] Re: RFC 3633 - Pefix Allotment by Servers

From: "Bernie Volz (volz)" <[email-masked]>
Date: Mon, 12 Nov 2007 17:21:33 -0500

Oh, I should have added that the server should provide multiple prefixes
if that is what's been configured -- the device could be multi-homed or
there could be a renumbering event sometime in the future and thus
multiple prefixes may indeed be active and valid.

-----Original Message-----
From: Bernie Volz (volz) 
Sent: Monday, November 12, 2007 5:20 PM
To: 'ravi kumar'; [email-masked]
Subject: RE: [dhcwg] Re: RFC 3633 - Pefix Allotment by Servers

This is server policy and up to the server implementation.

3315 doesn't detail how addresses are "generated". Some servers may use
sequential assignment. Others randomly generated.

- Bernie 

-----Original Message-----
From: ravi kumar [mailto:[email-masked]] 
Sent: Monday, November 12, 2007 1:55 AM
To: [email-masked]
Subject: [dhcwg] Re: RFC 3633 - Pefix Allotment by Servers

<Resending the mail>

regards
Ravi

On Nov 11, 2007 12:33 PM, ravi kumar <[email-masked]> wrote:
> RFC 3633 does not specify regarding "How Delegating Router selects
> prefixes to be given to the clients"
> Is there a common algorithm followed by the Servers that support
> Prefix Delegation, for this purpose.
>
> From the documentation of Dibbler, I found the foolowing algorithm:
>
> 1. client didn't provide any hints: one pre x from each pool will be
granted
> 2. client has provided hint and that is valid (supported and unused):
> requested pre x will be granted
> 3. client has provided hint, which belongs to supported pool, but this
> pre x is used: other pre x from
> that pool will be asigned
> 4. client has provided hint, but it is invalid (not beloninging to a
> supported pool, multicast or link-
> local): see point 1
>
> I would like to know, if majority of Server implementations use the
> above algorithm to allot prefixes to the client.
>
> regards
> Ravi
>

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg